## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMemMngArrayAllocate Class Template Reference

`#include <XalanMemMngArrayAllocate.hpp>`

List of all members.

## Static Public Methods

- Type* allocate (size_t size, MemoryManagerType &memoryManager)
- Type* allocateMemMgr (size_t size, MemoryManagerType &memoryManager)
- void deallocate (Type *ptr, size_t size, MemoryManagerType &memoryManager)

### template<class Type> class XalanMemMngArrayAllocate

## Member Function Documentation

template<class Type>
Type * XalanMemMngArrayAllocate<Type>::allocate ( | size_t size,
| MemoryManagerType & memoryManager )`[static]`

template<class Type>
Type * XalanMemMngArrayAllocate<Type>::allocateMemMgr ( | size_t size,
| MemoryManagerType & memoryManager )`[static]`

template<class Type>
void XalanMemMngArrayAllocate<Type>::deallocate ( | Type * ptr,
| size_t size,
| MemoryManagerType & memoryManager )`[static]`

The documentation for this class was generated from the following file:

- XalanMemMngArrayAllocate.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.